import type {UserListResponseModel} from '@/helpers/models';

/* eslint-disable camelcase */
export const userListResponseModel: UserListResponseModel = {
  id: 'user1',
  allowedActions: ['edit', 'delete', 'setPassword', 'toggleWifi', 'toggleActive', 'exportCSV'],
  attributes: {
    lastname: {
      value: 'Mustermann',
      access: 'read',
    },
    firstname: {
      value: 'Max',
      access: 'read',
    },
    divisNickname: {
      value: 'Musti',
      access: 'read',
    },
    username: {
      value: 'user1',
      access: 'read',
    },
    name: {
      value: 'max.mustermann',
      access: 'read',
    },
    schools: {
      value: ['DEMOSCHOOL', 'school1', 'school2', 'school3'].sort(() => 0.5 - Math.random()),
      access: 'read',
    },
    school: {
      value: 'string string string string ',
      access: 'read',
    },
    email: {
      value: 'string',
      access: 'read',
    },
    disabled: {
      value: false,
      access: 'read',
    },
    ucsschool_roles: {
      value: ['role1'],
      access: 'read',
    },
    source_uid: {
      value: 'KELVIN',
      access: 'none',
    },
    record_uid: {
      value: 'mmrecord',
      access: 'none',
    },
    create_timestamp: {
      value: '2022-08-26T09:46:35.422Z',
      access: 'none',
    },
    modify_timestamp: {
      value: '2022-08-26T09:46:35.422Z',
      access: 'none',
    },
    account_activation_date: {
      value: '2022-08-26T09:46:35.422Z',
      access: 'none',
    },
    expiration_date: {
      value: '2022-08-26',
      access: 'none',
    },
    ucsschool_purge_timestamp: {
      value: '2022-08-26',
      access: 'none',
    },
  },
};
/* eslint-enable camelcase */
